Swish::__construct
Swish::getPropertyList
Swish Functions
PHP Manual

# Swish::getMetaList

(PECL swish >= 0.1.0)

Swish::getMetaList — Get the list of meta entries for the index

### Description

array Swish::getMetaList ( string `$index_name` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`index_name`

  The name of the index file.

### Return Values

Returns an array of meta entries for the given index.

### Examples

Example #1 Basic Swish::getMetaList() example

`<?php
try {
$swish = new Swish("index.swish-e");
var_dump($swish->getMetaList("index.swish-e"));
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(3) {
        ["Name"]=>
        string(12) "swishdefault"
        ["Type"]=>
        int(0)
        ["ID"]=>
        int(1)
      }
    }

Swish::__construct
Swish::getPropertyList
Swish Functions
PHP Manual